Bug 317351 - lsz allows transmission of any memory address due to a mmap() bug.
lsz allows transmission of any memory address due to a mmap() bug.
Product: Fedora
Classification: Fedora
Component: lrzsz (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-03 16:54 EDT by Joe Krahn
Modified: 2008-06-16 22:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:34:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Krahn 2007-10-03 16:54:22 EDT
Description of problem:
The MMAP feature of lrzsz does not verify the boundary of a reposition request.
In most cases, this is likely to just cause a segfault. This could also probably
be used to intentionally read any memory available to the remote process. This
could be a security bug, depending on how it is being used. Fortunately, the
receive code does not use mmap, so it can't be used to overwrite executable code
in the remote process. I reported this a long time ago, but it ended up getting
lost in an old-bug cleanup.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Difficult to reproduce. I discovered it from using buggy zmodem software with a
bug, that sent a bogus reposition request when an error occurs.
Actual results:

Expected results:
An error message.

Additional info:
There are two places in lrz.c where fseek() can result in error messages. These
places have no corresponding check for the mmap position pointer. It is trivial
to fix, but maybe easier to just build it without the MMAP feature.

It might seem worth just dropping the package, but there are cases where it is
still a valuable tool. We have some hardware that uses zmodem for firmware updates.
Comment 1 Bug Zapper 2008-05-14 10:37:03 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:34:37 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.